std::system_error(3)

NAME
std::system_error - An exception type that includes an error_code value.

SYNOPSIS

Inherits std::runtime_error.

Inherited by std::experimental::filesystem::v1::filesystem_error.

  Public Member Functions
system_error (const system_error &)=default
system_error (error_code __ec, const char *__what)
system_error (error_code __ec, const string &__what)
system_error (error_code __ec=error_code())
system_error (int __v, const error_category &__ecat)
system_error (int __v, const error_category &__ecat, const char *__what)
system_error (int __v, const error_category &__ecat, const string &__what)
const error_code & code () const noexcept
system_error & operator= (const system_error &)=default
virtual const char * what () const noexcept

Detailed Description

An exception type that includes an error_code value. Typically used to report errors from the operating system and other low-level APIs.

Definition at line 428 of file system_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.